cc.funkemunky.api.commands.ancmd

## Class SpigotCompleter

- java.lang.Object
- - cc.funkemunky.api.commands.ancmd.SpigotCompleter

All Implemented Interfaces:
  org.bukkit.command.TabCompleter

    public class SpigotCompleter
    extends java.lang.Object
    implements org.bukkit.command.TabCompleter

### Constructor Summary

Constructors
Constructor and Description
`SpigotCompleter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCompleter(java.lang.String label, java.lang.String completer)`
`java.util.List<java.lang.String>` `onTabComplete(org.bukkit.command.CommandSender sender, org.bukkit.command.Command command, java.lang.String label, java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.bukkit.command.TabCompleter

`onTabComplete`

### Constructor Detail

#### SpigotCompleter

    public SpigotCompleter()

### Method Detail

#### addCompleter

    public void addCompleter(java.lang.String label,
                             java.lang.String completer)

#### onTabComplete

    public java.util.List<java.lang.String> onTabComplete(org.bukkit.command.CommandSender sender,
                                                          org.bukkit.command.Command command,
                                                          java.lang.String label,
                                                          java.lang.String[] args)

Specified by:
  `onTabComplete` in interface `org.bukkit.command.TabCompleter`